%define _name Cython

Name: python-module-%_name
Version: 0.14.1
Release: alt1

Summary: C-extensions for Python
Group: Development/Python
License: Python
Url: http://www.cython.org

Source: http://www.cython.org/release/Cython-%version.tar.gz

Provides: %_name = %version-%release

BuildPreReq: rpm-build-python
BuildPreReq: python-devel python-module-setuptools

%description
Cython is a language that makes writing C extensions for the Python
language as easy as Python itself. Cython is based on the well-known
Pyrex, but supports more cutting edge functionality and optimizations.

The Cython language is very close to the Python language, but Cython
additionally supports calling C functions and declaring C types on
variables and class attributes. This allows the compiler to generate
very efficient C code from Cython code.

This makes Cython the ideal language for wrapping for external C
libraries, and for fast C modules that speed up the execution of Python
code.

%prep
%setup -q -n %_name-%version

%build
%__python setup.py build

%install
CFLAGS="%optflags" %__python setup.py \
install --optimize=2 \
--root=%buildroot

%files
%_bindir/cython
%python_sitelibdir/pyximport/
%python_sitelibdir/%_name/
%python_sitelibdir/%_name-*egg-info
%python_sitelibdir/cython.py*
%doc *.txt Demos Doc Tools

# don't package tests files and debugger
%exclude %python_sitelibdir/%_name/Tests
%exclude %python_sitelibdir/%_name/*/Tests
%exclude %python_sitelibdir/%_name/Debugger
%exclude %_bindir/cygdb

%changelog
* Sat Mar 26 2011 Yuri N. Sedunov <aris@altlinux.org> 0.14.1-alt1
- 0.14.1 (ALT #25284)

* Tue Nov 16 2010 Yuri N. Sedunov <aris@altlinux.org> 0.13-alt1
- 0.13 (ALT #24574)

* Thu Mar 04 2010 Yuri N. Sedunov <aris@altlinux.org> 0.12.1-alt1
- updated to 0.12.1 (ALT #23072)

* Fri Nov 06 2009 Yuri N. Sedunov <aris@altlinux.org> 0.11.3-alt1
- 0.11.3 (ALT #22193)

* Fri Oct 17 2008 Yuri N. Sedunov <aris@altlinux.org> 0.9.8.1.1-alt1
- first build for Sisyphus
- TODO: -doc, -tools, -demos subpackages
